CMSIS-DSP: arm_convolution_example_f32.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_convolution_example_f32.c File Reference

## Macros

#define | MAX_BLOCKSIZE
#define | DELTA
#define | SNR_THRESHOLD

## Functions

int32_t | main (void)

## Variables

float32_t | Ak [MAX_BLOCKSIZE]
float32_t | Bk [MAX_BLOCKSIZE]
float32_t | AxB [MAX_BLOCKSIZE *2]
float32_t | testInputA_f32 [64]
float32_t | testInputB_f32 [64]
const float | testRefOutput_f32 [127]
uint32_t | srcALen
uint32_t | srcBLen
uint32_t | outLen
float32_t | snr

## Macro Definition Documentation

#define DELTA

#define MAX_BLOCKSIZE

Examples:
  arm_convolution_example_f32.c.

#define SNR_THRESHOLD

Examples:
  arm_convolution_example_f32.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_convolution_example_f32.c.

## Variable Documentation

float32_t Ak[MAX_BLOCKSIZE]

Examples:
  arm_convolution_example_f32.c.

float32_t AxB[MAX_BLOCKSIZE *2]

Examples:
  arm_convolution_example_f32.c.

float32_t Bk[MAX_BLOCKSIZE]

Examples:
  arm_convolution_example_f32.c.

uint32_t outLen

Examples:
  arm_convolution_example_f32.c.

float32_t snr

Examples:
  arm_convolution_example_f32.c.

uint32_t srcALen

Examples:
  arm_convolution_example_f32.c.

uint32_t srcBLen

Examples:
  arm_convolution_example_f32.c.

float32_t testInputA_f32[64]

Examples:
  arm_convolution_example_f32.c.

float32_t testInputB_f32[64]

Examples:
  arm_convolution_example_f32.c.

const float testRefOutput_f32[127]

Examples:
  arm_convolution_example_f32.c.